<a href="https://git.io/liblava"><img align="left" src="https://github.com/liblava.png" width="100" style="margin:0px 20px 0px 0px"></a>

# liblava docs &nbsp; [![Version](https://img.shields.io/badge/Version-0.6.2-blue)](https://git.io/liblava)

[Home](README.md) &nbsp; [Features](Features.md) &nbsp; [Tutorial](Tutorial.md) &nbsp; [Guide](Guide.md) &nbsp; [Reference](Reference.md) &nbsp; [Modules](Modules.md) &nbsp; **[Third-Party](Third-Party.md)** &nbsp; [Demo](Demo.md) &nbsp; [Tests](Tests.md) &nbsp; [Install](Install.md)

<br />

# Third-Party

* [argh](https://github.com/adishavit/argh) / **Argh! A minimalist argument handler** / *3-clause BSD*

  [![frame](https://img.shields.io/badge/lava-frame-red.svg)](../liblava/frame/frame.hpp)

* [Catch2](https://github.com/catchorg/Catch2) / **A modern, C++-native, header-only, test framework for unit-tests, TDD and BDD** / *BSL 1.0*

* [glfw](https://github.com/glfw/glfw) / **A multi-platform library for OpenGL, OpenGL ES, Vulkan, window and input** / *zlib*

  [![frame](https://img.shields.io/badge/lava-frame-red.svg)](../liblava/frame/frame.cpp) [![input](https://img.shields.io/badge/lava-input-red.svg)](../liblava/frame/input.cpp) [![window](https://img.shields.io/badge/lava-window-red.svg)](../liblava/frame/window.cpp)

* [gli](https://github.com/g-truc/gli) / **OpenGL Image (GLI)** / *MIT*

  [![texture_loader](https://img.shields.io/badge/lava-texture_loader-orange.svg)](../liblava/asset/texture_loader.cpp)

* [glm](https://github.com/g-truc/glm) / **OpenGL Mathematics (GLM)** / *MIT*

  [![math](https://img.shields.io/badge/lava-math-blue.svg)](../liblava/core/math.hpp)

* [IconFontCppHeaders](https://github.com/juliettef/IconFontCppHeaders) / **C, C++ headers and C# classes for icon fonts** / *zlib*

  [![demo](https://img.shields.io/badge/lava-demo-brightgreen.svg)](../liblava-demo/demo.hpp)

* [imgui](https://github.com/ocornut/imgui) / **Dear ImGui - Bloat-free Graphical User interface for C++ with minimal dependencies** / *MIT*

  [![imgui](https://img.shields.io/badge/lava-imgui-brightgreen.svg)](../liblava/app/imgui.cpp)

* [json](https://github.com/nlohmann/json) / **JSON for Modern C++** / *MIT*

  [![json_file](https://img.shields.io/badge/lava-json_file-blue.svg)](../liblava/file/json_file.hpp)

* [physfs](https://github.com/Didstopia/physfs) / **A portable, flexible file i/o abstraction** / *zlib*

  [![file](https://img.shields.io/badge/lava-file-blue.svg)](../liblava/file/file.cpp) [![file_system](https://img.shields.io/badge/lava-file_system-blue.svg)](../liblava/file/file_system.cpp)

* [spdlog](https://github.com/gabime/spdlog) / **Fast C++ logging library** / *MIT*

  [![log](https://img.shields.io/badge/lava-log-blue.svg)](../liblava/util/log.hpp)

* [stb](https://github.com/nothings/stb) / **Single-file public domain libraries for C/C++** / *MIT*

  [![image_data](https://img.shields.io/badge/lava-image_data-orange.svg)](../liblava/asset/image_data.cpp) [![texture_loader](https://img.shields.io/badge/lava-texture_loader-orange.svg)](../liblava/asset/texture_loader.cpp)

* [tinyobjloader](https://github.com/syoyo/tinyobjloader) / **Tiny but powerful single file wavefront obj loader** / *MIT*

  [![mesh_loader](https://img.shields.io/badge/lava-mesh_loader-orange.svg)](../liblava/asset/mesh_loader.hpp)

* [volk](https://github.com/zeux/volk) / **Meta loader for Vulkan API** / *MIT*

  [![base](https://img.shields.io/badge/lava-base-orange.svg)](../liblava/base/base.hpp)

* [Vulkan-Headers](https://github.com/KhronosGroup/Vulkan-Headers) / **Vulkan Header files and API registry** / *Apache 2.0*

  [![base](https://img.shields.io/badge/lava-base-orange.svg)](../liblava/base/base.hpp) [![window](https://img.shields.io/badge/lava-window-red.svg)](../liblava/frame/window.hpp)

* [VulkanMemoryAllocator](https://github.com/GPUOpen-LibrariesAndSDKs/VulkanMemoryAllocator) / **Easy to integrate Vulkan memory allocation library** / *MIT*

  [![memory](https://img.shields.io/badge/lava-memory-orange.svg)](../liblava/base/memory.hpp)

<br />

<a href="https://git.io/liblava"><img src="https://github.com/liblava.png" width="50"></a>
